﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.ChartView;

namespace LineSeriesSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Chart.VerticalAxis = new LinearAxis();
            Chart.HorizontalAxis = new CategoricalAxis() { };

            //var data = new List<ChartData>();
            //data.Add(new ChartData() { Value = 10, Value2 = 21, Category = 1 });
            //data.Add(new ChartData() { Value = 14, Value2 = 25, Category = 2 });
            //data.Add(new ChartData() { Value = 12, Value2 = 22, Category = 3 });
            //data.Add(new ChartData() {  Value2 = 23, Category = 5 });
            //data.Add(new ChartData() { Value = 18, Value2 = 27, Category = 4 });
            //data.Add(new ChartData() {  Value2 = 24, Category = 6 });
            //data.Add(new ChartData() { Value = 20, Value2 = 29, Category = 7 });

            var data = new List<ChartData>();
            data.Add(new ChartData() { Value = 10, Category = 1 });
            data.Add(new ChartData() { Value = 14, Category = 2 });
            data.Add(new ChartData() { Value = 12, Category = 3 });
            data.Add(new ChartData() { Value = 16, Category = 5 });
            data.Add(new ChartData() { Value = 18, Category = 4 });
            data.Add(new ChartData() { Value = 17, Category = 6 });
            data.Add(new ChartData() { Value = 20, Category = 7 });

            var data2 = new List<ChartData>();
            data2.Add(new ChartData() { Value2 = 21, Category = 1 });
            data2.Add(new ChartData() { Value2 = 25, Category = 2 });
            data2.Add(new ChartData() { Value2 = 22, Category = 3 });
            data2.Add(new ChartData() { Value2 = 23, Category = 6 });
            data2.Add(new ChartData() { Value2 = 27, Category = 7 });



            Chart.Series.Add(new LineSeries()
            {
                ItemsSource = data,
                //CategoryBinding = new PropertyNameDataPointBinding() { PropertyName = "Category" },
                CategoryBinding = new GenericDataPointBinding<ChartData, double>() { ValueSelector = value => value.Category },
                //ValueBinding = new PropertyNameDataPointBinding() { PropertyName = "Value" }
                ValueBinding = new GenericDataPointBinding<ChartData, double>() { ValueSelector = value => value.Value }
            });

            //Chart.Series.Add(new LineSeries()
            //{
            //    ItemsSource = data,
            //    //CategoryBinding = new PropertyNameDataPointBinding() { PropertyName = "Category" },
            //    CategoryBinding = new GenericDataPointBinding<ChartData, double>() { ValueSelector = value => value.Category },
            //    //ValueBinding = new PropertyNameDataPointBinding() { PropertyName = "Value" }
            //    ValueBinding = new GenericDataPointBinding<ChartData, double>() { ValueSelector = value => value.Value }
            //});

            Chart.Series.Add(new LineSeries()
            {
                ItemsSource = data2,
                CategoryBinding = new GenericDataPointBinding<ChartData, double>() { ValueSelector = value => value.Category },
                ValueBinding = new GenericDataPointBinding<ChartData, double>() { ValueSelector = value => value.Value2 }
            });

            //Chart.Series.Add(new LineSeries()
            //{
            //    ItemsSource = data,
            //    CategoryBinding = new GenericDataPointBinding<ChartData, double>() { ValueSelector = value => value.Category },
            //    ValueBinding = new GenericDataPointBinding<ChartData, double>() { ValueSelector = value => value.Value2 }
            //});
        }
    }

    public class ChartData
    {
        public ChartData()
        {

        }
        public double Value { get; set; }
        public double Value2 { get; set; }
        public double Category { get; set; }
    }
}
